import BaseAction from './base.js';
export default class KeyAction extends BaseAction {
    constructor(instance, params) {
        super(instance, 'key', params);
    }
    /**
     * Generates a key up action.
     * @param value key value
     */
    up(value) {
        this.sequence.push({ type: 'keyUp', value });
        return this;
    }
    /**
     * Generates a key down action.
     * @param value key value
     */
    down(value) {
        this.sequence.push({ type: 'keyDown', value });
        return this;
    }
}
